require 'serverspec'
require 'docker-api'

set :backend, :docker

def docker_build(path)
  Docker::Image.build_from_dir(path)
end

def described_container
  scope = self.is_a?(Class) ? self : self.class

  metahash = scope.metadata
  while metahash.has_key?(:parent_example_group)
    metahash = metahash[:parent_example_group]
  end

  metahash[:description].to_s
end
